﻿namespace UltraDayViewLines
{
    using System;
    using System.Drawing;
    using System.Drawing.Drawing2D;
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinSchedule;

    public partial class Form1 : Form
    {
        public Form1()
        {
            this.InitializeComponent();
            this.Load += Form1_Load;
            this.comboBox1.SelectedIndexChanged += ComboBox1_SelectedIndexChanged;
        }

        private void ComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            var combo = sender as ComboBox;
            if(combo == null)
                return;

            this.ultraDayView1.TimeSlotInterval = (TimeSlotInterval)Enum.Parse(typeof(TimeSlotInterval),combo.SelectedItem.ToString());
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //  Create custom pen to draw the lines
            var hourPpen = new Pen(Color.Red);
            hourPpen.DashCap = DashCap.Flat;
            hourPpen.DashStyle = DashStyle.Dash;

            var minutesPen = new Pen(Color.Blue);
            minutesPen.DashCap = DashCap.Flat;
            minutesPen.DashStyle = DashStyle.Dot;

            //  Set the DrawFilter of the day view and pass the pen to draw the lines
            this.ultraDayView1.DrawFilter = new DF(hourPpen, minutesPen);

            //  Setup the combo allowing you to change the TimeSlotIntervals of the DayView at runtime
            this.comboBox1.Items.AddRange(Enum.GetNames(typeof(TimeSlotInterval)));
            this.comboBox1.SelectedIndex = 8;
        }
    }
}
